API Docs / Schemas / BillingInvoiceDto

BillingInvoiceDto

A CIS Manager invoice to the caller for their usage.

Properties

Name Type Description
code*string

The invoice's identifier

The invoice's identifier

invoiceNumber*string

The invoice number

The invoice number

status*enum

Where the invoice is in its payment

Draft PaymentPending Paid PaymentFailed Cancelled

Where the invoice is in its payment

Draft PaymentPending Paid PaymentFailed Cancelled

billingDate*string

The date the invoice covers usage up to

The date the invoice covers usage up to

dueDatestring

When payment is due

When payment is due

paidDatestring

When it was paid

When it was paid

paymentSubmittedDatestring

When the payment was submitted to GoCardless

When the payment was submitted to GoCardless

paymentFailureReasonstring

Why the payment failed, when it did

Why the payment failed, when it did

totalSubcontractors*integer

The subcontractors charged for

The subcontractors charged for

subtotalAmount*number

The charge before discount and VAT

The charge before discount and VAT

discountPercentage*number

The discount applied, as a percentage of the subtotal

The discount applied, as a percentage of the subtotal

netAmount*number

The charge after discount, before VAT

The charge after discount, before VAT

vatRate*number

The VAT rate applied, as a percentage

The VAT rate applied, as a percentage

vatAmount*number

The VAT

The VAT

totalAmount*number

The total including VAT

The total including VAT

hasPdf*boolean

Whether the invoice's PDF is available (GET /me/billing/invoices/{invoice}/pdf)

Whether the invoice's PDF is available (GET /me/billing/invoices/{invoice}/pdf)

lines*array of BillingInvoiceLineDto

The invoice's lines, one per tenant and tax month

The invoice's lines, one per tenant and tax month

createdDate*string

When the invoice was raised

When the invoice was raised

JSON Example

{
  "code": "00000000-0000-0000-0000-000000000000",
  "invoiceNumber": "string",
  "status": "Draft",
  "billingDate": "2024-01-01T00:00:00Z",
  "dueDate": "2024-01-01T00:00:00Z",
  "totalSubcontractors": 0,
  "subtotalAmount": 0,
  "discountPercentage": 0,
  "netAmount": 0,
  "vatRate": 0,
  "vatAmount": 0,
  "totalAmount": 0,
  "hasPdf": false,
  "lines": [
    {
      "tenantName": "...",
      "year": "...",
      "month": "...",
      "subcontractorCount": "...",
      "isIncremental": "...",
      "description": "..."
    }
  ],
  "createdDate": "2024-01-01T00:00:00Z"
}

Used By Operations